Grants, vesting & distributions
Update Grant Template
Updates a template and replaces its items, then regenerates vestings/lockups for unprocessed grants using it.
POSThttps://api.toku.com/tga/update-grant-template
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/update-grant-template' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"grantTemplateID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"templateName": "string",
"templateDescription": "string",
"vestingCSVContent": [
{
"sequence": "string",
"percentageAllocation": "string",
"timeFrameUnit": "string",
"preferredDate": "string"
}
],
"lockupCSVContent": [
{
"sequence": "string",
"percentageAllocation": "string",
"timeFrameUnit": "string",
"preferredDate": "string"
}
],
"vestingFrequencyType": "MONTHLY",
"lockupFrequencyType": "MONTHLY",
"daysBetweenVestingAndFirstLockup": 0,
"lockupStartDate": "string",
"eomLogic": true,
"roundToWholeTokens": true
}'200 response
{
"isSuccess": true,
"error": "string",
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
grantTemplateIDstring<uuid>requiredtemplateNamestringAllowed: 1 to 200 characters
templateDescriptionstringAllowed: at most 5000 characters
vestingCSVContentobject[]Allowed: at most 500 items
Show child attributes
sequencestring | numberrequiredpercentageAllocationstring | numberrequiredtimeFrameUnitstring | numberrequiredpreferredDatestring | string<date-time>lockupCSVContentobject[]Allowed: at most 500 items
Show child attributes
sequencestring | numberrequiredpercentageAllocationstring | numberrequiredtimeFrameUnitstring | numberrequiredpreferredDatestring | string<date-time>vestingFrequencyTypestringAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY
lockupFrequencyTypestringAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY
daysBetweenVestingAndFirstLockupintegerAllowed: at least 0
lockupStartDatestringAllowed: at most 100 characters
eomLogicbooleanroundToWholeTokensbooleanResponse
200Successful response
isSuccessbooleanrequirederrorstringmessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits